Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 2835123005: Send the decoded size when response completed and stop summing in ResourceLoader::DidReceiveData() (Closed)

Created:
6 months, 3 weeks ago by horo
Modified:
6 months, 3 weeks ago
Reviewers:
Mike West, jam, yhirano
CC:
Aaron Boodman, abarth-chromium, blink-reviews, blink-reviews-api_chromium.org, chromium-apps-reviews_chromium.org, chromium-reviews, darin (slow to review), darin-cc_chromium.org, dglazkov+blink, extensions-reviews_chromium.org, gavinp+loader_chromium.org, jam, Nate Chapin, kinuko+watch, loading-reviews_chromium.org, loading-reviews+fetch_chromium.org, mlamouri+watch-content_chromium.org, mmenke, qsr+mojo_chromium.org, Randy Smith (Not in Mondays), serviceworker-reviews, tyoshino+watch_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Send the decoded size when response completed and stop summing in ResourceLoader::DidReceiveData() When the size properties of PerformanceResourceTiming were introduced by https://crrev.com/2105713002, both encodedBodySize and decodedBodySize were summed up in ResourceLoader::DidReceiveData(). The CL https://crrev.com/2510333002 changed this to send encodedBodySize when response completed. And currently only decodedBodySize is summed up in ResourceLoader::DidReceiveData(). We are planning to directly pass the mojo data pipe to FetchResponseData when fetch() API is used. If we do so, ResourceLoader::DidReceiveData() will not be called. And it will not be guaranteed that the renderer process read the all data before the RequestComplete IPC. This will be a problem because the size properties are passed to the ResourceTimingInfo structure when the renderer receives the RequestComplete IPC message. So this cl change it to send the decodedBodySize when response completed same as encodedBodySize. And this is also useful to support the resource timing info for service worker navigation preload response where we don't use ResourceLoader. BUG=712809 Review-Url: https://codereview.chromium.org/2835123005 Cr-Commit-Position: refs/heads/master@{#467744} Committed: https://chromium.googlesource.com/chromium/src/+/e8442e6b8cab49e5e56f24d2779ee48cce71b2d5

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+181 lines, -125 lines) Patch
M chrome/renderer/extensions/extension_localization_peer.h View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/renderer/extensions/extension_localization_peer.cc View 2 chunks +8 lines, -7 lines 0 comments Download
M chrome/renderer/extensions/extension_localization_peer_unittest.cc View 7 chunks +21 lines, -17 lines 0 comments Download
M chrome/renderer/security_filter_peer.h View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/renderer/security_filter_peer.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M content/browser/loader/async_resource_handler.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/loader/mojo_async_resource_handler.h View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/loader/mojo_async_resource_handler.cc View 2 chunks +4 lines, -1 line 0 comments Download
M content/child/resource_dispatcher.cc View 2 chunks +3 lines, -1 line 0 comments Download
M content/child/resource_dispatcher_unittest.cc View 1 chunk +6 lines, -4 lines 0 comments Download
M content/child/test_request_peer.h View 1 chunk +2 lines, -1 line 0 comments Download
M content/child/test_request_peer.cc View 1 chunk +2 lines, -1 line 0 comments Download
M content/child/url_response_body_consumer_unittest.cc View 1 chunk +2 lines, -1 line 0 comments Download
M content/child/web_url_loader_impl.cc View 9 chunks +17 lines, -12 lines 0 comments Download
M content/child/web_url_loader_impl_unittest.cc View 5 chunks +10 lines, -5 lines 0 comments Download
M content/common/resource_messages.h View 1 chunk +1 line, -0 lines 0 comments Download
M content/common/resource_request_completion_status.h View 1 chunk +3 lines, -0 lines 0 comments Download
M content/public/child/request_peer.h View 1 chunk +2 lines, -1 line 0 comments Download
M content/renderer/fetchers/resource_fetcher_impl.cc View 1 chunk +4 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/loader/PingLoader.cpp View 2 chunks +14 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/core/loader/resource/ImageResource.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/loader/resource/ImageResourceTest.cpp View 9 chunks +13 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/platform/exported/WebURLLoaderTestDelegate.cpp View 1 chunk +8 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/platform/exported/WebURLResponse.cpp View 1 chunk +0 lines, -8 lines 0 comments Download
M third_party/WebKit/Source/platform/loader/fetch/Resource.h View 1 chunk +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/platform/loader/fetch/ResourceFetcherTest.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/loader/fetch/ResourceLoader.h View 1 chunk +4 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/loader/fetch/ResourceLoader.cpp View 5 chunks +12 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/platform/loader/fetch/ResourceResponse.h View 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/loader/fetch/ResourceResponse.cpp View 1 chunk +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/platform/testing/weburl_loader_mock.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/web/tests/sim/SimNetwork.h View 1 chunk +4 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/web/tests/sim/SimNetwork.cpp View 2 chunks +8 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/web/tests/sim/SimRequest.cpp View 1 chunk +2 lines, -1 line 0 comments Download
M third_party/WebKit/public/platform/WebURLLoaderClient.h View 1 chunk +4 lines, -2 lines 0 comments Download
M third_party/WebKit/public/platform/WebURLLoaderTestDelegate.h View 1 chunk +4 lines, -2 lines 0 comments Download
M third_party/WebKit/public/platform/WebURLResponse.h View 1 chunk +0 lines, -6 lines 0 comments Download
Trybot results:  cast_shell_linux   win_clang   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   linux_android_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-device   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 

Dependent Patchsets:

Messages

Total messages: 26 (18 generated)
horo
yhirano@ Could you please review this?
6 months, 3 weeks ago (2017-04-25 14:32:21 UTC) #12
yhirano
lgtm
6 months, 3 weeks ago (2017-04-26 08:17:28 UTC) #15
horo
jam@ Could you please review this CL?
6 months, 3 weeks ago (2017-04-26 08:33:40 UTC) #17
jam
content& chrome lgtm you need someone for the various webkit files you're not owners for ...
6 months, 3 weeks ago (2017-04-26 15:36:44 UTC) #18
horo
mkwst@ Please review webkit files and resource_messages.h Thank you.
6 months, 3 weeks ago (2017-04-26 16:02:37 UTC) #20
Mike West
//third_party/WebKit and IPC LGTM.
6 months, 3 weeks ago (2017-04-27 11:20:59 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2835123005/20001
6 months, 3 weeks ago (2017-04-27 15:33:50 UTC) #23
commit-bot: I haz the power
6 months, 3 weeks ago (2017-04-27 19:11:01 UTC) #26
Message was sent while issue was closed.
Committed patchset #1 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/e8442e6b8cab49e5e56f24d2779e...

Powered by Google App Engine
This is Rietveld efc10ee0f